Skip to Content

Pidgin: (2010-05-25更新)Linux下最流行的多协议即时通讯软件

labrador 的头像
平均评分: 3.4 (54 次评分)
Pidgin(即过去的Gaim)是一个跨平台的即时通讯客户端,使用GNU通用公共许可证发布。这款软件支持多种常用的即时通讯协议,如MSN/QQ/GTalk/IRC/Yahoo/飞信,它让用户可以用同一个软件登入不同的即时通讯服务。目前Pidgin最新版本为2.6.6。

这里提供的pet包基于ttuuxxx打包的英文版制作,在小芭比系列或者安装了一步到位中文包的Puppy上使用为全中文显示。由于glibc的一个bug,在小芭比4.1.0.11之前版本上使用时需要安装locale补丁,以避免pidgin启动崩溃的问题,圣诞版不受此问题影响。

另外还有可以同时支持繁体和简体的pet包可供下载,感谢amtb提供了其中的繁体支持。

2009年1月17日,2.5.4-zh版有更新,建议之前使用2.5.4-cn版的用户升级到这个版本。
2009年12月27日,制作pidgin2.6.4,加入0.98-6飞信插件。
2010年5月25日,制作pidgin2.6.6,含0.98-6飞信插件,适用于puppy4.30+。
制作方法: 
与ttuuxxx的包的主要区别是去掉了/root/.purple中的内容,加入了Puppy 400时代的pidginshell,加入了从Ubuntu 8.10中提取的pidgin.mo

重新编译了pidgin,去掉了ttuuxxx用的--disable-screensaver参数,这样用户鼠标键盘长时间没有动作的时候就可以进入idle状态。精简了perl和*.la。

pidgin-2.6.6制作方法:
WolfPup制作的pidgin-2.6.6 + pidgin-2.6.6-locales-zh + libfetion.so + libxcb-atom + libxcb-aux + libxcb-event + libgtkspell.so + libenchant.so ,为防止lib库与系统原有库冲突,所有后增的lib*.so放在/root/my-applications/lib下。
更新日志: 
2009/01/14,制作2.5.4-cn
2009/01/15,制作2.5.4-zh(繁简两用)
2009/01/17,加入飞信插件;解决idle不正常的问题;精简部分文件(perl,*.la);不再提供-cn版本
2009/12/27,制作pidgin2.6.4,加入0.98-6飞信插件
2010年5月25日,制作pidgin2.6.6,含0.98-6飞信插件,适用于puppy4.30及以上版本
#2965
小芭比越来越强大了啊,哈哈。
#2966
下载不了啊
#2967
我也是啊
多些下載點, please
#2968
可以了
=> 趣盘
#2987
5
太好了,终于有这个东西了。
自己试过在Pupyy下编译,加了好多--disable,最好Make install后还不知道安到哪去了,在菜单上没有显示。
终于可以在Puppy下用MSN,赞一个!
#3054
我下载了17号的2.5.4-zh版本,打开之后登入msn,qq,icq,,就自动关闭了。可以帮忙解决一下吗,谢谢。我的puppy是 4.1.2 版
#3055
labrador 的头像
在虚拟终端下运行
pidgin --debug
看看崩溃前有什么提示。
#3056
labrador 的头像
我能把这个问题重复出来了。这是一个很久以前发生过的问题,如果你的好友里面有一个人的名字是以英文开头中文结尾,那么pidgin启动时就会崩溃。问题的根源是puppy所带的libc有问题,圣诞版因为更换了libc所以表现正常。另外更换locale文件也可以解决,试试看这个locale补丁包能不能解决你遇到的问题。
#3059
谢谢拉布拉多兄弟,,打了补丁问题解决了。。谢谢阿
#3068
两个连接都无法下载
#3071
labrador 的头像
QQ文件中转站

为什么我看到“中转站”这三个字的时候总感觉前面两个字应该是“垃圾”呢。
#3125
我的也是自动关闭,问题是我的QQ密码也受到威胁了,要我重新激活QQ,是不是有木马?!!!
#3129
labrador 的头像
这个包中的qq协议插件是ttuuxxx(加拿大人)编译的,他不至于放木马进去吧。

腾讯一直对第三方的QQ软件不友好,如果你用pidgin中的qq遇到问题可以使用腾讯出的QQ for Linux,这里有个辅助安装的脚本:
http://www.minilinux.net/software/qqshell

更新:sasaqqdan说他用pidgin中的qq会要求输入校验码,这个问题我以前也遇到过,应该还是腾讯对第三方软件的一些限制吧,我目前用倒没有问题。
#3246
可以了,谢谢谢谢


--------趣盘无法下载,eload上面下载的文件受损无法安装,哪位兄弟上传到SKYDRIVE上给我下载一下阿,谢谢了
#3459
老大,这个版本的pdigin貌似fection还是不能登录的说,我在windows下用pidgin+dll插件倒是可以登录飞信。
#3583
winpup 的头像
安装后到哪里启动?我找不到安装的目录
#3584
winpup 的头像
找到了,不过怎样进入puppylinux-cn聊天室?
#3672
winpup 的头像
总算解决MSN登陆问题了,到http://code.google.com/p/msn-pecan/ 下载msn-pecan-0.0.17.tar.bz2 编译后安装,用WLM模块登录.建议labrador 能把它整合到安装包中.
#3673
labrador 的头像
2.5.4版的pidgin应该不会有msn无法登录的问题吧。2.5.3版之前曾由于微软更换协议等问题有几天无法登录。

msn-pecan我用过,问题比较多。
#3674
winpup 的头像
啊,可是我用MSN登录,不是接不通就是PIDGIN崩溃了.
#3675
winpup 的头像
如果MSN-PECAN 问题多,我还是不用它好了,我只知道其中一个问题就是MSN-PECAN无法收离线信息.谢谢labrador.
#3676
labrador 的头像
pidgin崩溃有可能是locale引起的,看一下前面的说明。

msn-pecan说是可以支持接收手写,但我测试不成功,发送custom smileys也有问题。
#3677
winpup 的头像
原来真的是locale引起的,在英文系统下登陆正常,log中仅有一句gnutls: receive failed: A TLS packet with unexpected length was received.但工作正常.
中文崩溃前log中有一句g_log: msn_slp_sip_recv: assertion `slpcall != NULL' failed
安装补丁包后,工作正常,(需要切换系统到zh-CN.UTF-8,原中文环境为zh-CN.utf8).再次感谢labrador ,现在登录工作都正常了.
#4551
各位,不好意思,我装的QQ/usr/local/bin找到了,可是pidgin没有找到,第一次用puppy,请指教
#4561
labrador 的头像
pidgin的可执行文件安装在/usr/bin/目录下。安装完成之后菜单里应该有pidgin项的。
#7015
我安装了新版的2.6.4,安装好后在菜单上没有看到图标
#7017
2.6.4,QQ怎么用不了?无论我怎么设置,都无法登录。
#7018
我安装的是2.6.4,安装好后在菜单上没有看到图标,我在/usr/bin目录下有看到个pigdin文件,但是打开没什么反应
#7020
sasaqqdan 的头像
如果是quirky,请重新下载pet包,提示安装成功后再重启X服务器,就能看到菜单图标。
如果还安装有半步中文包,直接点击桌面图标“聊天”就能打开pidgin。
#7974
puppy 5.0里能用吗?能用的人能不能响应一下

在5.01能够使用pidgin。谢谢楼主汉化的好软件。
#7980
5
哦,labrador老大回来了,可喜可贺!
借地儿问个问题哈,在Puppy5.0中编译最新的pcmanfm0.9.5出错,能否麻烦您帮我们解决一下,制作个4月27号那个目前最新版Pcmanfm的PET包啊?
#7981
kisppuuyy 的头像
正在编译中...
#7982
kisppuuyy 的头像
checking for FM... configure: error: Package requirements (libfm-gtk >= 0.1.10) were not met:

No package 'libfm-gtk' found
#7989
sasaqqdan 的头像
pcmanfm-0.95.pet--technosaurus已经做出来了,请看这儿
#7991
这个应该是不带有HAL支持的吧?
另Libfm可以在下面地址下载
http://sourceforge.net/projects/pcmanfm/files/
#8016
额~最新版不能下载了,可能是上传的文件服务器的问题!
#8124
安装后提示 libgio-2.0.so.0 找不到????
#8125
sasaqqdan 的头像
Re:安装后提示 libgio-2.0.so.0 找不到

先在终端下运行:ldd /usr/bin/pidgin |grep not
再根据丢失的库文件名到:
http://puppylinux.ca/tpp/ttuuxxx/Libs/
下载对应lib并解压到/usr/lib下。
#8297
我用的是圣诞版,QQ提示版本太老,请下载新的版本;Fetion提示Invalid Password or Mobileno,但我的用户名及密码是正确的!软件太老了,不更新了吗?看了一下飞信机器人,2010/7/25进行了一次升级,未升级的都不能用了!!!!!!
#8375
522256741 的头像
pidgin比linuxqq好用
#8603
可以了,谢谢谢谢
#8718
slackware 支持吗
#8731
fff80 的头像
5
为什么不加旺旺呢?
#8829
fff80 的头像
5
为什么还没有发展2.6.33.2内核的这个软件呀?
#8961
2.6.33.2内核c居然没有open vm tools
#11471
不错,我试试。
#11556
不会用阿

发表新评论

 
  • 你可以在文本中使用BBCode标记语言。 URL会自动被转为链接。

更多关於格式化选项的信息

CAPTCHA
请验证您是否是机器人。
Image CAPTCHA
Enter the characters shown in the image.